function PET_matrix_MIBCA(out_PET,SUBJECT, jade,ctx_labels)

%Developed by A. Santos Ribeiro
%%%%

scans_PET=dir(out_PET);
aaa=1;

for i=1:length(scans_PET)
    temp_image=scans_PET(i).name;
    s_directory=[out_PET,temp_image,'/'];
    
    if ~((strcmp(temp_image,'.')) || (strcmp(temp_image,'..')) || (strcmp(temp_image,'.DS_Store')) || (~isempty(strfind(temp_image,'.mat'))))
        %%% mean PET calculation
        output_merge_volume=[s_directory,'merge_s_',temp_image,'.nii'];
        nii_PET_dinamic=load_untouch_nii(output_merge_volume);
        region_PET = load_untouch_nii([s_directory,'/aparc+aseg2PET.nii']);
        mean_PET = load_untouch_nii([s_directory,'/sum_s_',temp_image,'.nii']);
        mean_PET=mean_PET.img;
        
        sel_label=ones(1,length(ctx_labels));
        [mean_X1_PET,ROI_zeros_PET,mean_activation]=measures_mean_jade_fmri_MIBCA (nii_PET_dinamic,region_PET,ctx_labels,sel_label,jade,mean_PET);        
        h_mean_X1_PET.(['run',num2str(aaa)])=mean_X1_PET;
        
        [mean_r_PET,mean_p_PET]=corrcoef(mean_X1_PET');
        m_PET_corr.(['run',num2str(aaa)])=mean_r_PET;
        h_PET_pval.(['run',num2str(aaa)])=mean_p_PET;
        h_PET_pval_bonf.(['run',num2str(aaa)])=mean_p_PET<(0.05/(size(mean_r_PET,1)*(size(mean_r_PET,1)-1)));
        m_PET_corr_bonf.(['run',num2str(aaa)])=(mean_r_PET.*h_PET_pval_bonf.(['run',num2str(aaa)]))>0;
        %%%
        
        %%% mean activation
        v_pet_act.(['run',num2str(aaa)])=mean_activation;
        %%%

        aaa=aaa+1;
        
    end
end
save([out_PET,SUBJECT,'_pet_data.mat'],'m_PET_corr','h_PET_pval','m_PET_corr_bonf','h_PET_pval_bonf',...
    'h_mean_X1_PET','v_pet_act')

% % mean_PET_r=squeeze(sum(PET_r,3))/(aaa-1);
% % sum_PET_r_bonf=squeeze(sum(PET_r_bonf,3));
% % mean_pet_act=squeeze(sum(pet_act,2))/(aaa-1);
% % save([out_PET,SUBJECT,'_pet_data.mat'],'mean_PET_r','PET_r','PET_p','sum_PET_r_bonf','PET_r_bonf','PET_p_bonf',...
% %     'save_mean_X1_PET','mean_pet_act','pet_act')
