function corr_eddy_MIBCA(out_DTI,system_initialization)
%%% CORRECT bval and bvec values for MNI data
scans_DTI=dir(out_DTI);
scans_DTI=struct2cell(scans_DTI);
scans_DTI=scans_DTI(1,:)';
scans_DTI_temp=cell2mat(cellfun(@(C) strcmp(C,'..'), scans_DTI, 'UniformOutput', false));
scans_DTI_temp=scans_DTI_temp | cell2mat(cellfun(@(C) strcmp(C,'.'), scans_DTI, 'UniformOutput', false));
scans_DTI_temp=scans_DTI_temp | cell2mat(cellfun(@(C) strcmp(C,'.DS_Store'), scans_DTI, 'UniformOutput', false));
scans_DTI=scans_DTI(~scans_DTI_temp);

for i=1:length(scans_DTI)
    
    temp_image=scans_DTI{i};
    s_directory=[out_DTI,temp_image,'/'];
    
    if isdir(s_directory)
        %%% Correct eddy currents
        dti_eddy_string=['eddy_correct ',s_directory,temp_image,'.nii.gz ' s_directory,'eddy_',temp_image,'.nii.gz 0' ];
        s=system(['bash -c ',system_initialization,dti_eddy_string]);
    end
end


end
