function create_joint_metric()

emci=load('/disk2/afs13/results_ADNI_dataset/ttest_groups_data2H-EMCI.mat');
lmci=load('/disk2/afs13/results_ADNI_dataset/ttest_groups_data2H-LMCI.mat');
ad=load('/disk2/afs13/results_ADNI_dataset/ttest_groups_data2H-AD.mat');

emci_fiber=emci.groups_ttest.diff_p.dti_data.m_dti_fiber.run1;
lmci_fiber=lmci.groups_ttest.diff_p.dti_data.m_dti_fiber.run1;
ad_fiber=ad.groups_ttest.diff_p.dti_data.m_dti_fiber.run1;

emci_md=emci.groups_ttest.diff_p.dti_data.v_dti_md.run1;
lmci_md=lmci.groups_ttest.diff_p.dti_data.v_dti_md.run1;
ad_md=ad.groups_ttest.diff_p.dti_data.v_dti_md.run1;

emci_suv=emci.groups_ttest.diff_p.pet_data.v_pet_SUV.run1;
lmci_suv=lmci.groups_ttest.diff_p.pet_data.v_pet_SUV.run1;
ad_suv=ad.groups_ttest.diff_p.pet_data.v_pet_SUV.run1;

emci_vol=emci.groups_ttest.diff_p.smri_data.v_ctx_volume.run1;
lmci_vol=lmci.groups_ttest.diff_p.smri_data.v_ctx_volume.run1;
ad_vol=ad.groups_ttest.diff_p.smri_data.v_ctx_volume.run1;

emci_thick=emci.groups_ttest.diff_p.smri_data.v_ctx_thickness.run1;
lmci_thick=lmci.groups_ttest.diff_p.smri_data.v_ctx_thickness.run1;
ad_thick=ad.groups_ttest.diff_p.smri_data.v_ctx_thickness.run1;

groups_ttest.diff_p.dti_data.m_emci_fiber.run1=emci_fiber;
groups_ttest.diff_p.dti_data.m_lmci_fiber.run1=lmci_fiber;
groups_ttest.diff_p.dti_data.m_ad_fiber.run1=ad_fiber;

groups_ttest.diff_p.dti_data.v_emci_md.run1=emci_md;
groups_ttest.diff_p.dti_data.v_lmci_md.run1=lmci_md;
groups_ttest.diff_p.dti_data.v_ad_md.run1=ad_md;

groups_ttest.diff_p.pet_data.v_emci_suv.run1=emci_suv;
groups_ttest.diff_p.pet_data.v_lmci_suv.run1=lmci_suv;
groups_ttest.diff_p.pet_data.v_ad_suv.run1=ad_suv;

groups_ttest.diff_p.smri_data.v_emci_vol.run1=emci_vol;
groups_ttest.diff_p.smri_data.v_lmci_vol.run1=lmci_vol;
groups_ttest.diff_p.smri_data.v_ad_vol.run1=ad_vol;

groups_ttest.diff_p.smri_data.v_emci_thick.run1=emci_thick;
groups_ttest.diff_p.smri_data.v_lmci_thick.run1=lmci_thick;
groups_ttest.diff_p.smri_data.v_ad_thick.run1=ad_thick;

groups_ttest.diff_p.all_data.v_emci_allcon.run1=(abs(emci_md)<0.05)+(abs(emci_suv)<0.05)+(abs(emci_vol)<0.05)+(abs(emci_thick)<0.05);
groups_ttest.diff_p.all_data.v_lmci_allcon.run1=(abs(lmci_md)<0.05)+(abs(lmci_suv)<0.05)+(abs(lmci_vol)<0.05)+(abs(lmci_thick)<0.05);
groups_ttest.diff_p.all_data.v_ad_allcon.run1=(abs(ad_md)<0.05)+(abs(ad_suv)<0.05)+(abs(ad_vol)<0.05)+(abs(ad_thick)<0.05);

groups_ttest.diff_p.dti_data.v_all_md.run1=(abs(emci_md)<0.05)+(abs(lmci_md)<0.05)+(abs(ad_md)<0.05);
groups_ttest.diff_p.pet_data.v_all_suv.run1=(abs(emci_suv)<0.05)+(abs(lmci_suv)<0.05)+(abs(ad_suv)<0.05);
groups_ttest.diff_p.smri_data.v_all_vol.run1=(abs(emci_vol)<0.05)+(abs(lmci_vol)<0.05)+(abs(ad_vol)<0.05);
groups_ttest.diff_p.smri_data.v_all_thick.run1=(abs(emci_thick)<0.05)+(abs(lmci_thick)<0.05)+(abs(ad_thick)<0.05);


save('/disk2/afs13/IBRO2015/DATA/ttest_groups_data_all.mat','groups_ttest')

end








