function create_mean_MIBCA(all_data,output_directory)
subj_names1=fieldnames(all_data);

save_field_names={};
for i=1:length(subj_names1)
    i_save_field_names=get_data_fields(all_data.(subj_names1{i}),[],[]);
    save_field_names=[save_field_names,i_save_field_names{:}];
end
save_field_names=unique(save_field_names);

groups_mean1=[];
groups_std1=[];

for k=1:length(save_field_names)
    save_new_group1=[];
    save_new_group2=[];
    fails=0;
    for kk1=1:length(subj_names1)
        try
            new_group=eval(['all_data.(''',subj_names1{kk1},''')',save_field_names{k}]);
            save_new_group1(kk1-fails,:)=new_group(:);
        catch
            ['all_data.(''',subj_names1{kk1},''')',save_field_names{k}]
            fails=fails+1;
        end
    end
    new_mean_data1=nanmean(save_new_group1,1);
    new_mean_data1=reshape(new_mean_data1,size(new_group));
    new_std_data1=nanstd(save_new_group1,1,1);
    new_std_data1=reshape(new_mean_data1,size(new_group));
    eval(['groups_mean1',save_field_names{k},'=new_mean_data1;']);
    eval(['groups_std1',save_field_names{k},'=new_std_data1;']);
end
groups_mean.mean1=groups_mean1;
groups_mean.std1=groups_std1;
save([output_directory,'mean_groups_data2','all','.mat'],'groups_mean','-v7.3');

end


function [save_field_names]=get_data_fields (temp_data,field_names,save_field_names)
if isstruct(temp_data)
    temp_fields=fieldnames(temp_data);
    for j=1:length(temp_fields)
        if ~strcmp(temp_fields{j}(1:2),'h_')
            field_names2=[field_names,'.(''',temp_fields{j},''')'];
            temp_data2=temp_data.(temp_fields{j});
            [save_field_names]=get_data_fields (temp_data2,field_names2,save_field_names);
        end
    end
else
    if isempty(save_field_names)
        save_field_names{1}=field_names;
    else
        save_field_names{end+1}=field_names;
    end
end
end
