function diffregspm_MIBCA(out_DTI,sub_dir,SUBJECT,system_initialization,out_sMRI)
%Developed by A. Santos Ribeiro
%%%%

global Ptransform

scans_DTI=dir(out_DTI);
scans_DTI=struct2cell(scans_DTI);
scans_DTI=scans_DTI(1,:)';
scans_DTI_temp=cell2mat(cellfun(@(C) strcmp(C,'..'), scans_DTI, 'UniformOutput', false));
scans_DTI_temp=scans_DTI_temp | cell2mat(cellfun(@(C) strcmp(C,'.'), scans_DTI, 'UniformOutput', false));
scans_DTI_temp=scans_DTI_temp | cell2mat(cellfun(@(C) strcmp(C,'.DS_Store'), scans_DTI, 'UniformOutput', false));
scans_DTI=scans_DTI(~scans_DTI_temp);
for i=1:length(scans_DTI)
    transforms=[];
    temp_image=scans_DTI{i};
    s_directory=[out_DTI,temp_image,'/'];
    
    if isdir(s_directory)
    if strcmp(temp_image(1:4),'ZZZ_') || strcmp(temp_image(1:4),'AAA_')
            temp_image=temp_image(5:end);
        end
            
        corr_par.ref={[s_directory,'dti_b0.nii',',1']};
        corr_par.source={[out_sMRI,'/brain.nii',',1']};
        corr_par.other={[out_sMRI,'/aparc+aseg.nii',',1']};
        corr_par.eoptions.cost_fun='nmi';
        corr_par.eoptions.sep=[4,2];
        corr_par.eoptions.fwhm=[7 7];
        corr_par.roptions.interp=0; %%%% 1 para trilinear, 0 para nearest
        corr_par.roptions.wrap=[0 0 0];
        corr_par.roptions.mask=1;
        corr_par.roptions.prefix='r';
        
        Ptransform=[];
            
        temp_image222=[out_sMRI,'/brain.nii'];
        if ~exist(temp_image222)
            gunzip([temp_image222,'.gz'])
        end
        temp_image222=[s_directory,'dti_b0.nii'];
        if ~exist(temp_image222)
            gunzip([temp_image222,'.gz'])
        end
        temp_image222=[s_directory,'aparc+aseg2DTI.nii'];
        if ~exist(temp_image222)
            try
                gunzip([temp_image222,'.gz'])
            end
        end
        
        if ~exist([s_directory,'aparc+aseg2DTI.nii'])
            
            %             mri_convert_regions=['mri_convert ',s_directory,'dti_b0.nii ',s_directory,'dti_b0.img'];
            %             system([system_initialization, mri_convert_regions])
            %             mri_convert_regions=['mri_convert ',s_directory,'dti_b0.img ',s_directory,'dti_b0.nii'];
            %             system([system_initialization, mri_convert_regions])
            
            
            out = spm_run_coreg_estwrite(corr_par);
            if ~isstruct(out)
                s_T1=load_untouch_nii([out_sMRI,'/brain.nii']);
                s_dti=load_untouch_nii([s_directory,'dti_b0.nii']);
                GUI_MIBCA_3(s_dti,s_T1)
                pause
                out = spm_run_coreg_estwrite(corr_par);
            end
            movefile([out_sMRI,'/raparc+aseg.nii'],[s_directory,'/aparc+aseg2DTI.nii'])
            
            
        else
            s_T1=load_untouch_nii([s_directory,'/aparc+aseg2DTI.nii']);
            s_dti=load_untouch_nii([s_directory,'dti_b0.nii']);
            GUI_MIBCA_3(s_dti,s_T1)
            str = input('wish to redo coregistration(y/n)?','s');
            if strcmp(str,'y')
                s_T1=load_untouch_nii([out_sMRI,'/brain.nii']);
                s_dti=load_untouch_nii([s_directory,'dti_b0.nii']);
                GUI_MIBCA_3(s_dti,s_T1)
                pause
                out = spm_run_coreg_estwrite(corr_par);
                movefile([out_sMRI,'/raparc+aseg.nii'],[s_directory,'/aparc+aseg2DTI.nii'])
            end
        end
    end
end
end