function mean_group_MIBCA(all_data,output_directory)

subj_names=fieldnames(all_data);
mean_subjects=all_data.(subj_names{1});
subjects_3d=all_data.(subj_names{1});
for i=2:length(subj_names)
    [save_field_names]=get_data_fields (all_data.(subj_names{i}),[],[]);
    
    for k=1:length(save_field_names)
        eval(['mean_subjects',save_field_names{k},'=','mean_subjects',save_field_names{k},'+',...
            'all_data.(''',subj_names{i},''')',save_field_names{k}]);
    end
    if i==length(subj_names)
        for k=1:length(save_field_names)
            eval(['mean_subjects',save_field_names{k},'=','(mean_subjects',save_field_names{k},')/',num2str(length(subj_names))]);
        end
    end
    
    for k=1:length(save_field_names)
        new_data=eval(['all_data.(''',subj_names{i},''')',save_field_names{k}]);
        siz_data=size(new_data);
        curr_data=eval(['subjects_3d',save_field_names{k}]);
        if (siz_data(1)>1) && (siz_data(2)>1) && (length(siz_data)==2)
            curr_data(:,:,end+1)=new_data;
            eval(['subjects_3d',save_field_names{k},'= curr_data']);
        elseif (siz_data(1)==1) && (length(siz_data)==2)
            curr_data=[curr_data;new_data];
            eval(['subjects_3d',save_field_names{k},'= curr_data']);
        elseif (siz_data(2)==1) && (length(siz_data)==2)
            curr_data=[curr_data,new_data];
            eval(['subjects_3d',save_field_names{k},'= curr_data']);
        elseif (length(siz_data)==3)
            curr_data(:,:,:,end+1)=new_data;
            eval(['subjects_3d',save_field_names{k},'= curr_data']);
            
        end
    end
    
end

subjects_ttest=all_data.(subj_names{1});
for k=1:length(save_field_names)
    data=eval(['subjects_3d',save_field_names{k}]);
    siz_data=size(data);
    if (length(siz_data)==3)
        mean_char=['repmat(mean_subjects',save_field_names{k},',[1,1,',num2str(length(subj_names)),'])'];
        temp_data=eval(['ttest(permute(data-',mean_char,...
            ',[3,1,2]))']);
        temp_data=squeeze(temp_data)==0;
        eval(['subjects_ttest',save_field_names{k},'=','temp_data']);
        
    elseif (length(siz_data)==2)
        mean_char=['repmat(mean_subjects',save_field_names{k},',[1,',num2str(length(subj_names)),'])'];
        temp_data=eval(['ttest((data-',mean_char,')'')']);
        temp_data=squeeze(temp_data)==0;
        eval(['subjects_ttest',save_field_names{k},'=','temp_data']);
    end
end
% temp_data=eval(['(subjects_ttest',save_field_names{1},')']);
% figure,plot(temp_data)
% temp_data=eval(['(subjects_ttest',save_field_names{8},')']);
% figure,imagesc(temp_data)

subjects_c_mean=all_data.(subj_names{1});
for k=1:length(save_field_names)
    data1=eval(['mean_subjects',save_field_names{k}]);
    data2=eval(['subjects_ttest',save_field_names{k}]);
    try
        res_data=data1.*data2;
    catch
        res_data=data1'.*data2;
    end
    eval(['subjects_c_mean',save_field_names{k},'=','res_data']);
end
% temp_data=eval(['(subjects_c_mean',save_field_names{1},')']);
% figure,plot(temp_data)
% temp_data=eval(['(subjects_c_mean',save_field_names{8},')']);
% figure,imagesc(temp_data)

std_subjects=all_data.(subj_names{1});
for i=1:length(subj_names)
    [save_field_names]=get_data_fields (all_data.(subj_names{i}),[],[]);
    if i==1
        for k=1:length(save_field_names)
            eval(['std_subjects',save_field_names{k},'=',...
                '((all_data.(''',subj_names{i},''')',save_field_names{k},')-(','mean_subjects',save_field_names{k},')).^2']);
        end
        
    else
        for k=1:length(save_field_names)
            eval(['std_subjects',save_field_names{k},'=','std_subjects',save_field_names{k},'+',...
                '((all_data.(''',subj_names{i},''')',save_field_names{k},')-(','mean_subjects',save_field_names{k},')).^2']);
        end
    end
    
    if i==length(subj_names)
        for k=1:length(save_field_names)
            eval(['std_subjects',save_field_names{k},'=','sqrt((std_subjects',save_field_names{k},')/',num2str(length(subj_names)),')']);
        end
    end
    
end

all_data2.mean_subjects=mean_subjects;
all_data2.h_std_subjects=std_subjects;
all_data2.ttest_subjects=subjects_ttest;
all_data2.c_mean_subjects=subjects_c_mean;

save([output_directory,'all_group_data.mat'],'all_data','-v7.3');
save([output_directory,'mean_group_data.mat'],'all_data2','-v7.3');

    function [save_field_names]=get_data_fields (temp_data,field_names,save_field_names)
        if isstruct(temp_data)
            temp_fields=fieldnames(temp_data);
            for j=1:length(temp_fields)
                if ~strcmp(temp_fields{j}(1:2),'h_')
                    field_names2=[field_names,'.(''',temp_fields{j},''')'];
                    temp_data2=temp_data.(temp_fields{j});
                    [save_field_names]=get_data_fields (temp_data2,field_names2,save_field_names);
                end
            end
        else
            if isempty(save_field_names)
                save_field_names{1}=field_names;
            else
                save_field_names{end+1}=field_names;
            end
        end
    end

% mean_array=cellfun(@(C) C/length(subj_names),mean_array,'UniformOutput',false);
% std_array=[];
% for i=1:length(subj_names)
%     [matrix_cell]=get_data_field (all_data.(subj_names{i}),[]);
%
%     if isempty(std_array)
%         std_array=cellfun(@(C2,C3) (C2-C3).^2,matrix_cell,mean_array,'UniformOutput',false);
%     else
%         std_array=cellfun(@(C,C2,C3) C+(C2-C3).^2,std_array,matrix_cell,mean_array,'UniformOutput',false);
%     end
% end
% std_array=cellfun(@(C) C/length(subj_names),std_array,'UniformOutput',false);


% function [matrix_cell]=get_data_field (temp_data,matrix_cell)
%     if isstruct(temp_data)
%         temp_fields=fieldnames(temp_data);
%         for j=1:length(temp_fields)
%             if ~strcmp(temp_fields{j}(1:2),'h_')
%                 temp_data2=temp_data.(temp_fields{j});
%                 [matrix_cell]=get_data_field (temp_data2,matrix_cell);
%             end
%         end
%     else
%         if isempty(matrix_cell)
%             matrix_cell{1}=temp_data;
%         else
%             matrix_cell{end+1}=temp_data;
%         end
%     end
% end

% function [struct_data,matrix_cell]=set_data_field (temp_data,matrix_cell,struct_data)
%     if isstruct(temp_data)
%         temp_fields=fieldnames(temp_data);
%         for j=1:length(temp_fields)
%             if ~strcmp(temp_fields{j}(1:2),'h_')
%                 struct_data.(temp_fields{j})=[];
%                 temp_data2=temp_data.(temp_fields{j});
%                 [struct_data,matrix_cell]=set_data_field (temp_data2,matrix_cell,struct_data);
%             end
%         end
%     else
%         struct_data=matrix_cell{1};
%         matrix_cell(1)=[];
%     end
% end
%
% end

end















