function sMRI_matrix_MIBCA(sub_dir,SUBJECT,ctx_labels,out_sMRI)

%Developed by A. Santos Ribeiro
%%%%

t_measure_type={'thickness';'volume';'area'};

for i=1:length(t_measure_type)
    measure_type=t_measure_type{i};
    [smri.(measure_type),smri.label]=...
        cortical_measures_analisys (sub_dir,SUBJECT,ctx_labels,measure_type);
    
    [temp_label,temp_indx_label]=sort(smri.label);
    smri.label=temp_label;
    smri.(measure_type)=smri.(measure_type)(temp_indx_label);
    for i=1:length(smri.label)
        for j=1:length(smri.label)
            smri.([measure_type,'_ratio_matrix'])(i,j)=(smri.(measure_type)(i))/...
                (smri.(measure_type)(j));
        end
    end
    
end

save([out_sMRI,SUBJECT,'_smri_data.mat'],'smri');

return

