function [TRACTS]=NBL_tractsFOV2MTX(INFO,TRACTS)

%Developed by L. Lacerda
%%%%

% CHECK

% [TRACTS]=NBL_tractsFOV2MTX(INFO,TRACTS,conf)

dim        = INFO.dim;
voxel_size = INFO.voxel_size;
n_count    = INFO.n_count;

%disp('reordering data...')

if isfield(INFO,'coord_shift')
   INFO.coord_shift=INFO.coord_shift;
else 
   INFO.coord_shift=[1 1 1];
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% check if it is passing values correctly

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

for t=1:n_count
    TRACTS{t}(:,1)=(TRACTS{t}(:,1)/voxel_size(1))+INFO.coord_shift(1);
    TRACTS{t}(:,2)=(TRACTS{t}(:,2)/voxel_size(2))+INFO.coord_shift(2);
    TRACTS{t}(:,3)=(TRACTS{t}(:,3)/voxel_size(3))+INFO.coord_shift(3);

end

end

