function corr_bvec_MIBCA(out_DTI,type)
%Developed by A. Santos Ribeiro
%%%%

%%% CORRECT bval and bvec values for MNI data
scans_DTI=dir(out_DTI);
scans_DTI=struct2cell(scans_DTI);
scans_DTI=scans_DTI(1,:)';
scans_DTI_temp=cell2mat(cellfun(@(C) strcmp(C,'..'), scans_DTI, 'UniformOutput', false));
scans_DTI_temp=scans_DTI_temp | cell2mat(cellfun(@(C) strcmp(C,'.'), scans_DTI, 'UniformOutput', false));
scans_DTI_temp=scans_DTI_temp | cell2mat(cellfun(@(C) strcmp(C,'.DS_Store'), scans_DTI, 'UniformOutput', false));
scans_DTI=scans_DTI(~scans_DTI_temp);

for i=1:length(scans_DTI)
    
    
    temp_image=scans_DTI{i};
    s_directory=[out_DTI,temp_image,'/'];
    
    if isdir(s_directory)
        
        mkdir(s_directory,'old_bs')
        copyfile([s_directory,'*.bval'],[s_directory,'old_bs/'])
        copyfile([s_directory,'*.bvec'],[s_directory,'old_bs/'])
        
        r_temp=dir([s_directory,'*.bval']);
        r_temp=[s_directory,r_temp.name];
        o_val=fopen(r_temp,'r');
        A=fscanf(o_val, '%d');
        
        if type
            A(1:5)=0;
        end
        fclose(o_val);
        o_val=fopen(r_temp,'w');
        fprintf(o_val,'%d ', A);
        fclose(o_val);
        
        r_temp=dir([s_directory,'*.bvec']);
        r_temp=[s_directory,r_temp.name];
        o_vec=fopen(r_temp,'r');
        A=fscanf(o_vec, '%f');
        A=reshape(A,length(A)/3,3);
        if type
            A(1:5,:)=0;
        end
        fclose(o_vec);
        o_vec=fopen(r_temp,'w+');
        fprintf(o_vec,'%f %f %f \n', A');
        fclose(o_vec);
    end
end

end