function [res,F] = granger_simplified_MIBCA(x,y,curr_term)
x=x-mean(x);
x=x/std(x);
y=y-mean(y);
y=y/std(y);

if size(x,1)==1,x=x';end
if size(y,1)==1,y=y';end

shift_y=y(2:end,:);
curr_y=y(1:end-1,:);
[~,~,mse] = lscov(curr_y,shift_y);
RSS_R=mse.^2;

curr_x=x(1:end-1,:);
if curr_term
    shift_x=x(2:end,:);
    [~,~,mse] = lscov([curr_y,curr_x,shift_x],shift_y);
    RSS_U=mse.^2;
    
    F_num=(RSS_R - RSS_U)/(3-1);
    F_den = RSS_U/(length(curr_x)-3);
    F = F_num/F_den;
    c_v = finv(1-0.010,3-1,length(curr_x)-3);
    
else
    [~,~,mse] = lscov([curr_y,curr_x],shift_y);
    RSS_U=mse.^2;
    
    F_num=(RSS_R - RSS_U)/(2-1);
    F_den = RSS_U/(length(curr_x)-2);
    F = F_num/F_den;
    c_v = finv(1-0.010,2-1,length(curr_x)-2);
end
%if true x grange-cause y
res=F>c_v;









