function petregspm_SPM_MIBCA(out_fMRI,out_sMRI)
%Developed by A. Santos Ribeiro
%%%%

global Ptransform

scans_DTI=dir(out_fMRI);
for i=1:length(scans_DTI)
    transforms=[];
    temp_image=scans_DTI(i).name;
    s_directory=[out_fMRI,temp_image,'/'];
    
    if isdir(s_directory)
        corr_par.ref={[s_directory,'sum_rs',temp_image,'.nii,1']};
        corr_par.source={[out_sMRI,'/brain.nii',',1']};
        corr_par.other={[out_sMRI,'/aparc+aseg.nii',',1']};
        corr_par.eoptions.cost_fun='nmi';
        corr_par.eoptions.sep=[4,2];
        corr_par.eoptions.fwhm=[7 7];
        corr_par.roptions.interp=0; %%%% 1 para trilinear, 0 para nearest
        corr_par.roptions.wrap=[0 0 0];
        corr_par.roptions.mask=1;
        corr_par.roptions.prefix='r';
        
        
        Ptransform=[];
        if ~((strcmp(temp_image,'.')) || (strcmp(temp_image,'..')) || (strcmp(temp_image,'.DS_Store')) || (exist(s_directory)~=7))
            if strcmp(temp_image(1:4),'ZZZ_') || strcmp(temp_image(1:4),'AAA_')
            temp_image=temp_image(5:end);
            end
            %if ~isempty(dir([s_directory,'aparc+aseg2PET.nii'])), return, end
     
            
            temp_image222=[out_sMRI,'/brain.nii'];
            if ~exist(temp_image222)
                gunzip([temp_image222,'.gz'])
            end
            temp_image222=[s_directory,'sum_rs',temp_image,'.nii'];
            if ~exist(temp_image222)
                gunzip([temp_image222,'.gz'])
            end
            temp_image222=[s_directory,'aparc+aseg2PET.nii'];
            if ~exist(temp_image222)
                try
                    gunzip([temp_image222,'.gz'])
                end
            end
            temp_image222=[out_sMRI,'/aparc+aseg.nii'];
            if ~exist(temp_image222)
                gunzip([temp_image222,'.gz'])
            end
            
            if ~exist([s_directory,'aparc+aseg2PET.nii'])
                out = spm_run_coreg_estwrite(corr_par);
                if ~isstruct(out)
                    s_T1=load_untouch_nii([out_sMRI,'/brain.nii']);
                    s_dti=load_untouch_nii([s_directory,'sum_rs',temp_image,'.nii']);
                    GUI_MIBCA_3(s_dti,s_T1)
                    pause
                    out = spm_run_coreg_estwrite(corr_par);
                end
                movefile([out_sMRI,'/raparc+aseg.nii'],[s_directory,'/aparc+aseg2PET.nii'])
                
            else
                s_T1=load_untouch_nii([s_directory,'/aparc+aseg2PET.nii']);
                s_dti=load_untouch_nii([s_directory,'sum_rs',temp_image,'.nii']);
                GUI_MIBCA_3(s_dti,s_T1)
                str = input('wish to redo coregistration(y/n)?','s');
                if strcmp(str,'y')
                    s_T1=load_untouch_nii([out_sMRI,'/brain.nii']);
                    s_dti=load_untouch_nii([s_directory,'sum_rs',temp_image,'.nii']);
                    GUI_MIBCA_3(s_dti,s_T1)
                    pause
                    out = spm_run_coreg_estwrite(corr_par);
                    movefile([out_sMRI,'raparc+aseg.nii'],[s_directory,'/aparc+aseg2PET.nii'])
                end
            end
        end
    end
end
end