function sMRI_matrix_MIBCA(sub_dir,SUBJECT,ctx_labels,out_sMRI)

%Developed by A. Santos Ribeiro
%%%%


[thickness,label]=...
    cortical_measures_analisys_v2 (sub_dir,SUBJECT,ctx_labels,'thickness');

[temp_label,temp_indx_label]=sort(label);
label=temp_label;
thickness=thickness(temp_indx_label);
for i=1:length(label)
    for j=1:length(label)
        thickness_ratio_matrix(i,j)=(thickness(i))/...
            (thickness(j));
    end
end


[volume,label]=...
    cortical_measures_analisys_v2 (sub_dir,SUBJECT,ctx_labels,'volume');

[temp_label,temp_indx_label]=sort(label);
label=temp_label;
volume=volume(temp_indx_label);
for i=1:length(label)
    for j=1:length(label)
        volume_ratio_matrix(i,j)=(volume(i))/...
            (volume(j));
    end
end


[area,label]=...
    cortical_measures_analisys_v2 (sub_dir,SUBJECT,ctx_labels,'area');

[temp_label,temp_indx_label]=sort(label);
label=temp_label;
area=area(temp_indx_label);
for i=1:length(label)
    for j=1:length(label)
        area_ratio_matrix(i,j)=(area(i))/...
            (area(j));
    end
end

save([out_sMRI,SUBJECT,'_smri_data.mat'],'thickness','thickness_ratio_matrix','volume','volume_ratio_matrix','area','area_ratio_matrix','label');

return