function [SUBJECT,sMRI_subdirectory,fMRI_subdirectory,DTI_subdirectory,PET_subdirectory,...
    out_sMRI,out_fMRI,out_DTI,out_PET]=variables_folders_script_MIBCA...
    (output_directory,data_location,subjects_names,sMRI_identifier,fMRI_identifier,DTI_identifier,PET_identifier,kk)
%%

%Developed by A. Santos Ribeiro
%%%%

SUBJECT=subjects_names{kk};
mkdir([output_directory,SUBJECT]);

out_sMRI=[output_directory,SUBJECT,'/sMRI/'];
out_fMRI=[output_directory,SUBJECT,'/fMRI/'];
out_DTI=[output_directory,SUBJECT,'/DTI/'];
out_PET=[output_directory,SUBJECT,'/PET/'];

sMRI_subdirectory=[];
fMRI_subdirectory=[];
DTI_subdirectory=[];
PET_subdirectory=[];
if ~isempty(sMRI_identifier)
%     ls_subject=ls([data_location,SUBJECT,'/']);
%     find_ls_subject=strfind(ls_subject,' ');
%     find_pattern=strfind(ls_subject,sMRI_identifier);
%     
%     begin_pattern=find_ls_subject(find(find_ls_subject<find_pattern,1,'last'));
%     
%     if length(find_ls_subject)>find(find_ls_subject<find_pattern,1,'last'), ...
%             end_pattern=find_ls_subject(find(find_ls_subject<find_pattern,1,'last')+1); 
%     else 
%             end_pattern=length(ls_subject);
%     end
%     sMRI_identifier=ls_subject(begin_pattern+1:end_pattern-1);
    
%     dir_subject=dir([data_location,SUBJECT,'/']);
%     dir_subject={dir_subject.name};
%     find_pattern=cell2mat(cellfun(@(C) ~isempty(strfind(C,sMRI_identifier)),dir_subject,'UniformOutput',0));
%     sMRI_identifier=cell2mat(dir_subject(find_pattern));
    
%     ls(strcat([data_location,SUBJECT,'/']))
%     ls(strcat([data_location,SUBJECT,'/'],'*IR-SPGR*'))
%     strcat([data_location,SUBJECT,'/'],ls(strcat([data_location,SUBJECT,'/'],'*IR-SPGR*')))
%     cellstr(full_dir_pattern)
%     
   if exist(fullfile([data_location,SUBJECT,'/'],[sMRI_identifier]))~=7
      sMRI_identifier = dir(fullfile([data_location,SUBJECT,'/'],[sMRI_identifier]));
      sMRI_subdirectory=[data_location,SUBJECT,'/',sMRI_identifier(1).name,'/'];
   else
      sMRI_subdirectory=[data_location,SUBJECT,'/',sMRI_identifier,'/'];
   end
   mkdir(out_sMRI)

end
if ~isempty(fMRI_identifier)    
    if exist(fullfile([data_location,SUBJECT,'/'],[fMRI_identifier]))~=7
        fMRI_identifier = dir(fullfile([data_location,SUBJECT,'/'],fMRI_identifier));
        fMRI_subdirectory=[data_location,SUBJECT,'/',fMRI_identifier(1).name,'/'];
    else
        fMRI_subdirectory=[data_location,SUBJECT,'/',fMRI_identifier,'/'];
    end
   
    mkdir(out_fMRI)
end
if ~isempty(DTI_identifier)
    if exist(fullfile([data_location,SUBJECT,'/'],[DTI_identifier]))~=7
        DTI_identifier = dir(fullfile([data_location,SUBJECT,'/'],DTI_identifier));
        DTI_subdirectory=[data_location,SUBJECT,'/',DTI_identifier(1).name,'/'];
    else
        DTI_subdirectory=[data_location,SUBJECT,'/',DTI_identifier,'/'];
    end
   
    mkdir(out_DTI)
end
if ~isempty(PET_identifier)
    if exist(fullfile([data_location,SUBJECT,'/'],[PET_identifier]))~=7
        PET_identifier = dir(fullfile([data_location,SUBJECT,'/'],PET_identifier));
        try
            PET_subdirectory=[data_location,SUBJECT,'/',PET_identifier(1).name,'/'];
            mkdir(out_PET)
        end
    else
        try
            PET_subdirectory=[data_location,SUBJECT,'/',PET_identifier,'/'];
            mkdir(out_PET)
        end
    end
   
    
end

return
